/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-03-24 12:25:06
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

// 查询列表
export function warehouseConfigList(data) {
  return newRequest({
    url: '/warehouse/fee/config/list',
    method: 'post',
    data
  })
}

export function warehouseConfigAdd(data) {
  return newRequest({
    url: '/warehouse/fee/config/add',
    method: 'post',
    data
  })
}

export function warehouseMaxMonth(data) {
  return newRequest({
    url: '/warehouse/fee/config/max/month',
    method: 'get',
    data
  })
}

export function warehouseConfigUpdate(data) {
  return newRequest({
    url: '/warehouse/fee/config/update',
    method: 'post',
    data
  })
}

export function warehouseConfigDetail(data) {
  return newRequest({
    url: '/warehouse/fee/config/detail/'+data,
    method: 'get'
  })
}

export function warehouseConfigLogs(data) {
  return newRequest({
    url: '/warehouse/fee/config/logs/'+data,
    method: 'get'
  })
}



export function billUploadList(data) {
  return newRequest({
    url: '/warehouse/fee/config/bill/upload/list',
    method: 'post',
    data,
  })
}


export function billValid(data) {
  return newRequest({
    url: '/warehouse/fee/config/bill/valid',
    method: 'post',
    data,
  })
}